=== modified file 'doc/developers/performance-commit.txt'
--- doc/developers/performance-commit.txt	2007-06-06 06:17:45 +0000
+++ doc/developers/performance-commit.txt	2007-06-21 06:41:07 +0000
@@ -1,7 +1,7 @@
 Commit Performance Notes
 ========================
 
-.. contents::
+.. contents:: :local:
 
 Commit: The Minimum Work Required
 ---------------------------------

=== added file 'doc/developers/performance-contributing.txt'
--- doc/developers/performance-contributing.txt	1970-01-01 00:00:00 +0000
+++ doc/developers/performance-contributing.txt	2007-06-21 06:41:07 +0000
@@ -0,0 +1,52 @@
+Contributing to the performance drive
+=====================================
+
+.. contents:: :local:
+
+What needs doing?
+-----------------
+
+There is plenty of code to write. Testers are always welcome for experimental
+changes. In general, pick a BLUE node from performance.png which has nothing
+pointing at it that is also BLUE, and start working on that.
+
+Status
+------
+
+The performance drive is well under way. At the moment we are finalising the
+analysis documents from the sprint at London. If you were not at that sprint,
+please read the analysis documents - consider them living documents much like
+code, to be patched and corrected.
+
+If you were at the London performance sprint, please help finish documenting
+the core command analysis work. The core commands that have not been analysed
+are listed in performance.dot as the BLUE nodes. For quick reference:
+
+* status
+* log
+* diff
+* uncommit
+* missing
+* update
+* cbranch
+
+Once a given command has had its analysis created, the bottleneck of 'folk who
+attended London' is removed. The next task is in general the creation of a
+targeted API stack for that command. This API stack is done by starting with
+the cmd object in ``builtins.py`` and cleaning up the code so that the API used
+there is one which allows an implementation matching the analysis document.
+This then gets repeated, iteratively, on each of the called API's, until all
+the current slow code is cleanly abstracted behind the ``Tree``, ``Branch`` and
+``Repository`` API's.
+
+Resources
+---------
+
+The usual resources for contributing to bzr - the mailing list, wiki, bug
+tracker and IRC channels are documented in the HACKING_ document. Additionally
+there are members of the project focusing on performance at the moment who are
+willing to mentor contributors on performance issues. Just send a mail to the
+list asking for mentoring on the step of the performance plan you want to help
+with.
+
+.. _HACKING: HACKING.htm

=== modified file 'doc/developers/performance-roadmap.txt'
--- doc/developers/performance-roadmap.txt	2007-06-19 00:48:22 +0000
+++ doc/developers/performance-roadmap.txt	2007-06-21 06:41:07 +0000
@@ -18,6 +18,8 @@
 
 .. include:: planned-performance-changes.txt
 
+.. include:: performance-contributing.txt
+
 .. include:: planned-change-integration.txt
 
 Analysis of use cases
@@ -34,6 +36,8 @@
 
 .. include:: add.txt
 
+.. include:: performance-commit.txt
+
 .. include:: gc.txt
 
 .. include:: revert.txt

=== modified file 'doc/developers/performance.dot'
--- doc/developers/performance.dot	2007-06-19 00:55:18 +0000
+++ doc/developers/performance.dot	2007-06-21 06:41:07 +0000
@@ -3,22 +3,22 @@
   /* completed node list */
   node[color="green"];
   add_analysis[label="Work required analysis for add"];
+  annotate_analysis[label="Work required analysis for annotate"];
   branch_analysis[label="Work required analysis for branch"];
   bundle_analysis[label="Work required analysis for creating a bundle"];
+  commit_analysis[label="Work required analysis for commit"];
+  fetch_analysis[label="Work required analysis for push/pull"];
+  revert_analysis[label="Work required analysis for revert"];
+  revert_path_analysis[label="Work required analysis for revert of selected paths"];
   wt_disk_order[label="Working Tree disk ordering\n6-8 weeks"];
 
   /* uncompleted node list - add new tasks here */
   node[color="blue"];
-  annotate_analysis[label="Work required analysis for annotate"];
   status_analysis[label="Work required analysis for status"];
-  commit_analysis[label="Work required analysis for commit"];
-  fetch_analysis[label="Work required analysis for push/pull"];
   log_analysis[label="Work required analysis for log"];
   log_path_analysis[label="Work required analysis for log of selected paths."];
   diff_analysis[label="Work required analysis for diff"];
   diff_path_analysis[label="Work required analysis for diff of selected paths"];
-  revert_analysis[label="Work required analysis for revert"];
-  revert_path_analysis[label="Work required analysis for revert of selected paths"];
   merge_analysis[label="Work required analysis for merge"];
   uncommit_analysis[label="Work required analysis for uncommit"];
   missing_analysis[label="Work required analysis for missing"];

